### File

`packages/ecl/components/ecl-menu/ecl-menu-mega/ecl-menu-mega.component.ts`

### Description

This component acts as a wrapper for the second level of menu items, that are children of one root item. Provides functionality for some common events like keyboard navigation and manages relations between sub items.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-mega`
templateUrl | `./ecl-menu-mega.component.html`

### Index

###### Properties
eclMenuMegaItems el isRtlDisplay offsetLeft offsetRight
###### Methods
selectFirstSubItem getCssClasses
###### Inputs
class e2eAttr tabindex
###### Outputs
menuItemSelect menuMegaItemParentFocus menuMegaLastItemTab
###### HostBindings
class class.ecl-menu__mega--rtl style.left.px style.right.px
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

menuItemSelect
Type : `EventEmitter`

menuMegaItemParentFocus
Type : `EventEmitter`
Used in keyboard navigation, when focus has to be moved to the parent item.

menuMegaLastItemTab
Type : `EventEmitter`
Used when kyboard navigation with TAB reaches the last sub item.

### HostBindings

class
Type : `string`

class.ecl-menu__mega--rtl
Type : `boolean | any`
Default value : `false`

style.left.px
Type : `number | null`

style.right.px
Type : `number | null`

### Methods

selectFirstSubItem
`selectFirstSubItem()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclMenuMegaItems
Type : `QueryList<EclMenuMegaItemComponent>`
Decorators : `@ContentChildren(EclMenuMegaItemComponent)`
List of the sub items.

el
Type : `unknown`
Default value : `inject(ElementRef)`

isRtlDisplay
Type : `boolean | any`
Default value : `false`
Decorators : `@HostBinding('class.ecl-menu__mega--rtl')`

offsetLeft
Type : `number | null`
Decorators : `@HostBinding('style.left.px')`

offsetRight
Type : `number | null`
Decorators : `@HostBinding('style.right.px')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""